Bug 205341 - Platform creation during project opening
Platform creation during project opening
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Platform
7.1
PC Windows 7
: P1 (vote)
: 7.1
Assigned To: Anton Chechel
issues@javafx
: 71_HR_FIX, USABILITY
Depends on:
Blocks: 199283
  Show dependency treegraph
 
Reported: 2011-11-21 09:35 UTC by Anton Chechel
Modified: 2011-11-25 11:16 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Chechel 2011-11-21 09:35:56 UTC
Currently new JavaFX platform is been created only during creation of new project. Should be done so also during opening of existing project.

JavaFX SDK team has official samples. If user opens one of them than JavaFX platform is not recognized. Usability impact: severe => P1. Fix is quite trivial, just plugin existing platform creation functionality into existing OpenProjectHook.
Comment 1 Anton Chechel 2011-11-21 14:57:18 UTC
fixed in jet-main:
http://hg.netbeans.org/jet-main/rev/8af8246da814

please verify
Comment 2 Stepan Zebra 2011-11-21 20:54:34 UTC
verified in trunk, please continue with integration into release71 branch
Comment 3 Anton Chechel 2011-11-22 10:35:37 UTC
transplanted into relase71 branch:
http://hg.netbeans.org/releases/rev/5ccf63755f8b
Comment 4 Quality Engineering 2011-11-22 15:52:25 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/8af8246da814
User: Anton Chechel <manowar@netbeans.org>
Log: #205341 Default JavaFX platform autoregistration during project opening
Comment 5 Quality Engineering 2011-11-23 07:11:32 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/5ccf63755f8b
User: Anton Chechel <manowar@netbeans.org>
Log: #205341 Default JavaFX platform autoregistration during project opening
Comment 6 Stepan Zebra 2011-11-25 11:16:35 UTC
verified in rc1 build 201111242103

this issue is completed, but related problem was found, see #205558


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo